Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

La grille de données React est un composant de grille riche en fonctionnalités pour afficher des données sous forme de tableau. Sa large gamme de fonctionnalités comprend la liaison de données, l’édition, le filtrage de type Excel, le tri personnalisé, l’agrégation de lignes, la sélection et la prise en charge des formats Excel, CSV et PDF.


Pourquoi choisir le Data Grid React de Syncfusion ?

React Data Grid High Performance image

Haute performance

Des efforts bien pensés, et se concentre principalement sur des performances rapides pour charger des millions d’enregistrements en une seconde.

React Data Grid Seamless Data Binding image

Liaison de données transparente

Lie les données de manière transparente avec diverses sources de données locales et distantes telles que JSON, OData, WCF et les services Web RESTful à l’aide du gestionnaire de données.

React Data Grid Resolution image

S’adapte à toute résolution

DataGrid a une mise en page très réactive et une conception optimisée pour les ordinateurs de bureau, les écrans tactiles et les smartphones. Il fonctionne bien sur tous les téléphones mobiles utilisant iOS, Android ou Windows OS.

React Data Grid Flexible Editing image

Édition flexible

La grille de données React effectue des opérations de création, lecture, mise à jour et suppression (CRUD) plus facilement avec une liste d’objets métier ou un service de données distant à l’aide d’un gestionnaire de données.

React Data Grid Template Designs image

Créez vos propres conceptions de modèles

Permet aux utilisateurs de créer des expériences utilisateur personnalisées dans la grille React en fonction des besoins de leur application à l’aide d’une large gamme d’options de modèles.

React Data Grid Customizable Themes image

Thèmes attrayants et personnalisables

Design de pointe avec plus de 5 thèmes intégrés tels que Fluent, Tailwind CSS, Bootstrap, Material, Fabric, et bien plus encore. Utilisez l’outil en ligne Theme Studio pour personnaliser facilement les thèmes.

React Data Grid Export Print image

Exportation et impression faciles

Exportez la grille de données dans différents formats de fichiers, y compris Excel, PDF, et CSV. Imprimez toutes les lignes, quel que soit le nombre de pages, ainsi que la page actuellement affichée.

React Data Grid Global Local image

Mondialisation et localisation

Permet aux utilisateurs de différentes régions de les utiliser en formatant les dates, la devise et la numérotation en fonction des préférences.


DataGrid compatible IA pour des informations plus rapides

Notre DataGrid est prêt pour l’IA dès sa conception. Étendez-le facilement avec la recherche sémantique, la détection d’anomalies ou toute autre opération d’IA dont vous avez besoin. Obtenez des réponses rapides et une exploration de données plus intelligente, le tout dans une seule grille.

React Data Grid Anomaly Detection image


Exemple de code pour la grille de données React

Commencez facilement avec la grille de données React en utilisant quelques lignes de code TSX simples, comme démontré ci-dessous. Explorez également notre exemple de grille de données React qui vous montre comment rendre et configurer une grille de données dans React.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { GridComponent, ColumnsDirective, ColumnDirective } from '@syncfusion/ej2-react-grids';
import { orderDetails } from './data';
import { SampleBase } from '../common/sample-base';

export class Default extends SampleBase<{}, {}> {

  render() {
    return (
      <div className='control-pane'>
        <div className='control-section'>
          <GridComponent dataSource={orderDetails} height='350'>
            <ColumnsDirective>
              <ColumnDirective field='OrderID' headerText='Order ID' width='120' textAlign='Right'></ColumnDirective>
              <ColumnDirective field='CustomerName' headerText='Customer Name' width='150'></ColumnDirective>
              <ColumnDirective field='OrderDate' headerText='Order Date' width='130' format='yMd' textAlign='Right' />
              <ColumnDirective field='Freight' headerText='Freight' width='120' format='C2' textAlign='Right' />
              <ColumnDirective field='ShippedDate' headerText='Shipped Date' width='130' format='yMd' textAlign='Right'></ColumnDirective>
              <ColumnDirective field='ShipCountry' headerText='Ship Country' width='150'></ColumnDirective>
            </ColumnsDirective>
          </GridComponent>
        </div>
      </div>
    )
  }
}


Édition de la grille de données React.

Édition

Le composant React DataGrid prend en charge les opérations de création, lecture, mise à jour et suppression (CRUD). En plus des composants d’éditeur intégrés pour éditer une valeur de colonne particulière, des composants d’éditeur personnalisés peuvent être créés à l’aide de modèles selon les besoins de l’application. À l’aide d’un gestionnaire de données, vous pouvez effectuer des opérations d’édition avec une collection de tableaux ou un service de données distant.


Tri

Triez les lignes par ordre croissant ou décroissant par rapport à une colonne en cliquant simplement sur l’en-tête dans React DataGrid. Triez les données de plusieurs colonnes en maintenant la touche Ctrl + clic sur l’en-tête. De plus, définissez votre propre logique de tri personnalisée en fonction des besoins de l’application.

Tri de la grille de données React.


Filtrage de la grille de données React.

Filtrage

Le filtrage permet d’afficher des enregistrements particuliers ou liés qui répondent à un critère donné dans la grille de données. La grille de données prend en charge différents types de filtres, y compris de puissants filtres de type Excel. Choisissez le type de filtre approprié, définissez votre propre logique de filtrage personnalisée et personnalisez l’interface utilisateur de filtrage en fonction des besoins de l’application. Les caractères diacritiques peuvent également être filtrés.


Pagination

La pagination est utilisée pour afficher un segment de données à partir de la source de données assignée. La grille de données React offre une interface utilisateur de pagination intégrée avec des options pour personnaliser l’ensemble de son interface. Elle dispose également d’un mode de pagination à la demande pour une récupération efficace des données des services Web distants.

Pagination de la grille de données React.


Sélection de la grille de données React.

Sélection

Sélectionnez des lignes ou des cellules à l’aide de la case à cocher ou en cliquant simplement dessus. Sélectionnez plus d’une ligne ou d’une cellule en maintenant Ctrl, Shift ou Command, ou par programmation.


Regroupement

Regroupez les lignes pour afficher les données dans une structure hiérarchique organisée par ordre croissant ou décroissant afin de faciliter l’expansion et la réduction des enregistrements. Il existe une option pour regrouper les enregistrements de la colonne souhaitée par simple glisser-déposer de cette colonne dans une zone de dépôt interactive.

Regroupement de la grille de données React.


Agrégation de la grille de données React.

Agrégation

Les agrégats pour les valeurs de colonne peuvent être facilement affichés à l’aide de la fonction d’agrégation. Les agrégats peuvent être personnalisés pour afficher leur valeur dans des lignes de résumé individuelles, des lignes de résumé de groupe individuelles ou des lignes de légende de groupe.


Colonne

Les colonnes définissent le schéma de la source de données dans la grille de données React. Il prend en charge le formatage, la génération automatique de colonnes, les définitions de colonnes, le gel des lignes et des colonnes, l’étendue des colonnes, le renvoi à la ligne du texte, le sélecteur de colonnes, le menu de colonnes et d’autres fonctionnalités.

Colonne de la grille de données React.


React Data Grid Frozen Rows image

Lignes et colonnes figées

Les lignes et colonnes figées sont visibles en haut et à gauche, à droite, des deux côtés, ou à une position fixe, respectivement, rendant le reste du contenu de la grille défilable. Cette fonctionnalité est principalement utilisée pour comparer les valeurs des cellules.


En-tête fixe

L’en-tête de la grille de données React doit être dans une position fixe lors du défilement vertical du document pour visualiser le contenu de la grille de données ainsi que l’en-tête de colonne.

React Data Grid Sticky Header image


Glisser-déposer de lignes dans la grille React.

Glisser-déposer des lignes

La grille React permet aux utilisateurs de glisser-déposer des lignes vers une autre grille de données ou un composant personnalisé. Les utilisateurs peuvent également glisser-déposer des lignes dans la même grille de données à l’aide de l’icône de glissement et transférer des lignes entre différents groupes.


Grille maître-détail

La grille maître-détail React est un scénario d’utilisation dans lequel les détails d’un enregistrement sont affichés dans une grille de données séparée en cliquant sur une ligne particulière.

Grille maître-détail React.


React Data Grid Adaptive Ui image

Disposition adaptative de l’interface utilisateur

L’interface utilisateur de la grille de données React est personnalisée et repensée pour offrir des vues et une utilisabilité excellentes sur les petits écrans. Les dialogues de filtrage, de tri, de recherche et d’édition s’adaptent à la taille de l’écran et affichent également les éléments de ligne verticalement.


Indicateur de chargement squelette

Le contrôle de grille de données React affiche l’effet Shimmer comme indicateur de chargement lors de la récupération des données et de leur liaison à la grille lors du rendu initial, du rafraîchissement ou après l’exécution d’actions de grille comme le tri, le filtrage, le regroupement, etc. La grille de données offre deux types d’effets d’indicateur de chargement : spinner et shimmer.

Indicateur de chargement squelette de la grille de données React.


Gestion détat dans la grille de données React.

Gestion d’état

La gestion d’état dans le composant React Data Grid vous permet de maintenir l’état de la grille même après un rafraîchissement du navigateur ou lors de la navigation vers une autre page au sein de la même session de navigateur. Cette fonctionnalité est particulièrement avantageuse pour conserver la configuration et les données de la grille suite à un rechargement de page.


Mise à jour en direct

Le DataGrid met à jour les données en direct dans ses cellules à des intervalles de temps spécifiques. Ces mises à jour se produisent sans causer de décalage ou de ralentissement, garantissant que le système reste très réactif et efficace.

Mise à jour en direct avec React DataGrid.


React Grid With Charts image

Graphiques intégrés avec Data Grid

Le Data Grid s’intègre désormais au composant Charts, transformant les données de grille sélectionnées en visualisations dynamiques et interactives. Cette puissante combinaison de tableaux et de graphiques permet aux utilisateurs d’obtenir des informations plus claires en un coup d’œil. Personnalisez les types de graphiques, les axes et les visuels.


Autres fonctionnalités

Grille de données React avec hauteur de ligne.

Hauteur de ligne

La hauteur de ligne est un facteur majeur lors de l’affichage du nombre d’enregistrements dans la fenêtre d’affichage, et elle est facilement personnalisable en fonction des exigences de l’interface utilisateur de l’application. Il est également possible de définir la hauteur de ligne de manière conditionnelle.

Copier dans le presse-papiers depuis la grille de données React.

Copier dans le presse-papiers

Le presse-papiers permet aux utilisateurs de copier les données des lignes ou cellules sélectionnées. Les combinaisons de touches Ctrl+C et Ctrl+Shift+H copient les données avec et sans en-tête, respectivement.

Grille de données React avec menu contextuel.

Effectue diverses actions dans une grille de données à l’aide du menu contextuel qui apparaît lorsque la cellule, l’en-tête ou le paginateur est cliqué avec le bouton droit de la souris. En plus des éléments de menu par défaut intégrés, des éléments de menu contextuels personnalisés peuvent être ajoutés.

Largeur et hauteur dans la grille de données React.

Largeur et hauteur

Définissez les propriétés de largeur et de hauteur pour modifier la taille de la grille de données. Lorsque le contenu dépasse l’élément de la grille, des barres de défilement horizontales et verticales apparaissent. Pour remplir le conteneur parent de la grille de données, définissez simplement la hauteur et la largeur à 100 %.

Grille de données React avec en-têtes empilés.

En-têtes empilés

Les en-têtes empilés permettent de regrouper et de visualiser les en-têtes de colonne de manière empilée. Le nombre de colonnes pouvant être empilées est illimité. Effectuez toutes les actions de la grille de données même lorsque les colonnes sont empilées.


Accessibilité

Navigation au clavier dans la grille de données React.

La grille de données React garantit que chaque cellule est accessible à l’aide du clavier. Les principales fonctionnalités comme le tri, la sélection et l’édition peuvent être effectuées à l’aide de commandes clavier uniquement ; aucune interaction souris n’est requise. Cela aide à créer des applications hautement accessibles à l’aide de ce composant.

Accessibilité et prise en charge des lecteurs décran dans la grille de données React.

Lecteur d’écran

La vue de la grille de données React offre un support complet d’accessibilité WAI-ARIA. Son interface utilisateur comprend des éléments visuels à contraste élevé qui aident les personnes malvoyantes à avoir la meilleure expérience de visualisation. De plus, des descriptions d’interface utilisateur valides sont facilement accessibles via des technologies d’assistance telles que les lecteurs d’écran.

Afficher le langage de droite à gauche dans la grille de données React.

De droite à gauche (RTL)

Le rendu de droite à gauche permet d’afficher le texte et la mise en page de la grille de données de droite à gauche. Cela améliore l’expérience utilisateur et l’accessibilité pour les langues RTL.


Optimisé pour le mobile et compatible avec le toucher

DataGrid dans React a une mise en page très réactive et un design optimisé pour les ordinateurs de bureau, les écrans tactiles et les smartphones. Il fonctionne bien sur tous les téléphones mobiles qui utilisent iOS, Android ou Windows 8 OS.

Support tactile dans la grille de données React.

Support tactile

Des gestes tactiles conviviaux et une conception d’interface utilisateur interactive offrent la meilleure expérience utilisateur. Toutes les fonctionnalités de la grille React fonctionnent sur les appareils tactiles sans aucune configuration.

Interface utilisateur de pagination réactive dans la grille de données React.

Paginateur réactif

Le paginataire de la grille de données React agit intelligemment et modifie complètement son interface utilisateur de manière réactive en fonction des dimensions. Sa conception optimisée offre la meilleure interaction d’interface utilisateur sur différents appareils.






Autres frameworks majeurs pris en charge

En plus de React, une intégration intégrée est disponible pour ces frameworks majeurs.

Découvrez l'écosystème complet de composants React de Syncfusion

Découvrez plus de 150+ composants d'interface utilisateur React, comprenant des contrôles éprouvés et prêts pour la production, ainsi que les derniers composants React purs conçus nativement pour le développement d'applications web modernes.

  • Composants React
  • Composants React purs

Foire aux questions

Le Syncfusion React DataGrid offre les fonctionnalités suivantes :

Nous ne vendons pas la grille de données React séparément. Elle n’est disponible à l’achat que dans le cadre de la licence d’équipe Syncfusion. Celle-ci contient plus de 1,600 composants et frameworks, y compris la grille de données React. Le prix de la licence d’équipe commence à 395 $ par mois pour 5 développeurs et inclut l’assistance et les mises à jour jusqu’à l’expiration de l’abonnement. De plus, nous pouvons offrir des réductions en fonction des promotions actuellement actives. Veuillez contacter nos spécialistes produits dès aujourd’hui pour voir si vous êtes éligible à des réductions supplémentaires.

Vous pouvez trouver notre démo de la grille de données React, qui montre comment rendre et configurer la grille de données.

Une grille de données React est un composant d’interface utilisateur qui permet aux utilisateurs d’afficher et de manipuler des données tabulaires avec des fonctionnalités telles que le tri,, le filtrage, la pagination et l’édition. Elle gère efficacement les grands ensembles de données et offre des options d’exportation et d’impression.

Pour utiliser la fonctionnalité de filtrage, injectez le module Filter dans la grille. Pour activer le filtrage dans la grille React de Syncfusion, définissez la propriété allowFiltering sur true. Cela affiche une barre de filtre sous les en-têtes de colonne, permettant aux utilisateurs de saisir des critères de filtrage.La grille offre plusieurs modes de filtrage, qui sont configurables via la propriété filterSettings.type.

La grille peut gérer de grands ensembles de données en utilisant les fonctionnalités de pagination, de défilement virtuel et de défilement infini.

Pour activer la fonctionnalité d’édition directement dans la grille, vous devez définir les propriétés allowEditing, allowAdding et allowDeleting dans les editSettings sur true. L’édition nécessite une colonne de clé primaire pour les opérations CRUD. Pour définir la clé primaire, définissez isPrimaryKey sur true dans une colonne particulière.

Non, nos plus de 1,600 composants et frameworks pour le Web, le mobile et le bureau, y compris notre React DataGrid, ne sont pas vendus individuellement. Ils sont uniquement disponibles dans le cadre d’une licence d’équipe. Cependant, nous avons fixé un prix compétitif pour le produit, il ne coûte donc un peu plus cher que ce que d’autres fournisseurs facturent pour leur seul composant DataGrid. Nous avons également constaté, d’après notre expérience, que nos clients commencent généralement par utiliser l’un de nos produits, puis étendent rapidement leur utilisation à plusieurs produits. Nous avons donc pensé qu’il était préférable d’offrir tous les plus de 1,600 composants et frameworks pour un abonnement qui commence à 395 $ par mois pour une équipe de 5 développeurs. De plus, nous pourrions être en mesure d’offrir des réductions basées sur les promotions actuellement actives. Veuillez contacter nos spécialistes produits dès aujourd’hui pour voir si vous êtes éligible à des réductions supplémentaires.

Non, il s’agit d’un produit commercial qui nécessite une licence payante. Cependant, une licence communautaire gratuite est également disponible pour les entreprises et les particuliers dont les organisations ont un revenu brut annuel inférieur à 1 million USD, 5 développeurs ou moins et 10 employés au total ou moins.

Un bon point de départ serait notre documentation complète pour débuter.

React Grid offre des fonctionnalités telles que le tri, le filtrage, la pagination, l’édition, les agrégats, le regroupement, l’exportation vers Excel/PDF, le redimensionnement des colonnes et la virtualisation.

Pour activer le tri dans la grille React de Syncfusion, suivez ces étapes :1. Assurez-vous que le module de tri est importé et injecté dans votre composant Grid.2. Définissez la propriété allowSorting sur true pour activer le tri.3. Utilisez la propriété sortSettings pour définir les configurations de tri initiales ou personnaliser le comportement de tri.

La grille React de Syncfusion gère les données en temps réel grâce à l’intégration avec les WebSockets et SignalR, permettant des mises à jour dynamiques et des expériences utilisateur fluides.

La grille gère la pagination côté serveur en activant l’adaptateur de données intégré de Syncfusion ou en utilisant des concepts de liaison de données personnalisée.

Nos clients nous aiment

Grâce à un excellent ensemble d’outils et à une excellente équipe d’assistance, Syncfusion® réduit le temps de développement de ses clients.
Voici quelques-uns de leurs témoignages.

Voir de vraies histoires de réussite

Des développeurs du monde entier font confiance à Essential Studio de Syncfusion pour simplifier les projets complexes et accélérer leur livraison. Grâce à sa vaste bibliothèque de contrôles d’interface utilisateur, à ses SDK puissants et à son support fiable, Essential Studio aide les équipes à créer des applications prêtes pour l’entreprise en toute confiance.

Explorer des études de cas


Evalue par des utilisateurs du monde entier.

Transformez vos apps aujourd’hui avec version d’essai gratuite ici a
Télécharger l'essai gratuit Aucune carte de crédit requise.

Recompenses

L’excellence—c’est une chose de l’affirmer, mais cela signifie davantage lorsque les autres la reconnaissent. Syncfusion® est fier de détenir les récompenses de l'industrie suivantes.

Activités récentes dans les blogs et tutoriels React DataGrid

Les articles de blog et les vidéos tutoriels sur React DataGrid vous guideront dans la création de votre première application avec des composants React. Ils fournissent des stratégies de résolution de problèmes, décrivent les fonctionnalités, annoncent les nouvelles versions, expliquent les meilleures pratiques et présentent des scénarios d’exemple. Explorez nos derniers articles sur notre blog et nos chaînes de tutoriels vidéo pour les mises à jour de React DataGrid.

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Aperçu du Angular Data Grid

L’Angular Grid est un composant de grille de données riche en fonctionnalités pour afficher des données dans un format tabulaire. Sa large gamme de fonctionnalités comprend la liaison de données, l’édition, le filtrage similaire à Excel, le tri personnalisé, le groupement, la réorganisation des lignes, le gel des lignes et colonnes, l’agrégation des lignes, et l’exportation vers les formats Excel, CSV et PDF.


Pourquoi choisir Syncfusion Essential Studio® Angular Data Grid ?

Angular Grid High Performance image

Haute performance

Efforts bien pensés, et se concentre principalement sur les performances rapides pour charger des millions d’enregistrements en seulement une seconde.

Angular Grid Seamless Data Binding image

Liaison de données transparente

Liez les données de manière transparente avec diverses sources de données locales et distantes telles que JSON, OData, WCF et les services web RESTful avec l’aide du gestionnaire de données.

Angular Data Grid Resolution image

S’adapte à toute résolution

Data Grid a une disposition hautement responsive et un design optimisé pour les ordinateurs de bureau, écrans tactiles et smartphones. Il fonctionne bien sur tous les téléphones mobiles qui utilisent iOS, Android ou Windows OS.

Angular Grid Flexible Editing image

Édition flexible

L’Angular Grid effectue les opérations de création, lecture, mise à jour et suppression (CRUD) plus facilement avec une liste d’objets métier ou un service de données distant avec l’aide d’un gestionnaire de données.

Angular Data Grid Template Designs image

Créez vos propres designs de templates

Permet aux utilisateurs de créer des expériences utilisateur personnalisées dans l’Angular Grid basées sur les besoins de leur application en utilisant une large gamme d’options de templates.

Angular Grid Customizable Themes image

Thèmes personnalisables attrayants

Design de pointe avec plus de 5 thèmes intégrés tels que Fluent, Tailwind CSS, Bootstrap, Material, Fabric, et plus. Utilisez l’outil en ligne Theme Studio pour personnaliser facilement les thèmes.

Angular Data Grid Export Print image

Exportation et impression faciles

Exportez le Data Grid dans divers formats de fichiers, notamment Excel, PDF et CSV. Imprimez toutes les lignes, quel que soit le nombre de pages, ainsi que la page actuellement visualisée.

Angular Grid Global Local image

Globalisation et localisation

Permet aux utilisateurs de différentes locales de les utiliser en formatant les dates, devises et numérotation selon les préférences.


AI-Ready Grid Pour l’analyse des données d’entreprise

Accélérez l’analyse des données dans les applications Angular avec un DataGrid conçu pour les améliorations IA. Intégrez facilement la recherche sémantique et la détection d’anomalies pour des flux de travail plus intelligents.

  • Recherche sémantique: Utilisez des modèles de traitement du langage naturel (NLP) pour permettre aux utilisateurs de rechercher avec des phrases courantes, améliorant l’ergonomie sans mots-clés exacts.

  • See how to add semantic search
  • Détection d’anomalies: Ajoutez des outils d’apprentissage automatique (ML) pour mettre en évidence les anomalies de données et assurer automatiquement la cohérence.

  • Découvrez comment ajouter la détection d’anomalies

Angular Data Grid Anomaly Detection image


Exemple de Code Angular Data Grid

Commencez facilement avec l’Angular Data Grid en utilisant quelques lignes simples de code HTML et TS, comme démontré ci-dessous. Explorez également notre Exemple Angular Data Grid, qui vous montre comment rendre et configurer un Data Grid dans Angular.

<div class="control-section">
    <ejs-grid [dataSource]='data' height='350'>
        <e-columns>
            <e-column field='OrderID' headerText='Order ID' width='120' textAlign='Right'/>
            <e-column field='CustomerName' headerText='Customer Name' width='150'/>
            <e-column field='OrderDate' headerText='Order Date' width='130' format="yMd" textAlign='Right'/>
            <e-column field='Freight' headerText='Freight' width='120' format='C2' textAlign='Right'/>
            <e-column field='ShippedDate' headerText='Shipped Date' width='130' format="yMd" textAlign='Right'/>
            <e-column field='ShipCountry' headerText='Ship Country' width='150'/>
        </e-columns>
    </ejs-grid>
</div>
import { Component, OnInit } from '@angular/core';
import { orderDetails } from './data';

@Component({
    selector: 'ej2-grid-container',
    templateUrl: 'default.html'
})
export class DefaultComponent implements OnInit {
    public data: Object[] = [];

    ngOnInit(): void {
        this.data = orderDetails;
    }
}

Angular Data Grid skeleton loading indicator.

Indicateur de chargement squelette

Le Data Grid affiche l’effet Shimmer comme indicateur de chargement lors de la récupération de données et de leur liaison à la grille pendant le rendu initial, l’actualisation, ou après avoir effectué des actions de grille comme le tri, le filtrage, le groupement et plus. La grille de données offre deux types d’effets d’indicateur de chargement : spinner et shimmer.


Disposition d’interface utilisateur adaptative

L’interface utilisateur du Data Grid est personnalisée et repensée pour de superbes vues et une utilisation optimale sur de petits écrans. Ses fonctionnalités incluent le filtre, le tri, la recherche, le sélecteur de colonnes, le menu des colonnes, le dropdown du pageur et les dialogues d’édition qui s’adaptent à la taille de l’écran et rendent les éléments de ligne dans une direction verticale.

Angular Data Grid Adaptive Ui image


Angular Grid column chooser.

Colonne

Les colonnes définissent le schéma de la source de données dans le Data Grid. Il prend en charge le formatage, la génération automatique de colonnes, les définitions de colonnes, le gel des lignes et colonnes, l’extension de colonnes, l’habillage de texte, le sélecteur de colonnes, le menu des colonnes et d’autres fonctionnalités.


Pagination

La pagination est utilisée pour afficher un segment de données de la source de données assignée. L’Angular Data Grid offre une interface utilisateur de pageur intégrée avec des options pour personnaliser toute son interface utilisateur. Il a également un mode de pagination à la demande pour une récupération efficace des données des services web distants.

Angular Grid paging.


Angular Grid sorting.

Tri

Triez les lignes soit par ordre croissant soit par ordre décroissant par rapport à une colonne en cliquant simplement sur l’en-tête. Triez les données de plusieurs colonnes en maintenant la touche Ctrl + clic sur l’en-tête. De plus, définissez votre propre logique de tri personnalisée basée sur les besoins de l’application.


Filtrage

Le filtrage aide à visualiser des enregistrements particuliers ou liés qui répondent à des critères donnés dans la grille de données. La grille de données prend en charge différents types de filtres, notamment de puissants filtres similaires à Excel. Choisissez le type de filtre approprié, définissez votre propre logique de filtrage personnalisée et personnalisez l’interface utilisateur de filtrage selon les besoins de l’application. Les caractères diacritiques peuvent également être filtrés.

Angular Grid filtering.


Angular Grid selection.

Sélection

Sélectionnez les lignes ou cellules en utilisant la case à cocher ou en cliquant simplement dessus. Sélectionnez plus d’une ligne ou cellule en maintenant Ctrl, Shift ou Command, ou par programmation.


Édition

L’Angular Data Grid prend en charge les opérations de création, lecture, mise à jour et suppression (CRUD). En plus des composants d’éditeur intégrés pour éditer une valeur de colonne particulière, des composants d’éditeur personnalisés peuvent être créés en utilisant des templates selon les besoins de l’application. Avec l’aide d’un gestionnaire de données, vous pouvez effectuer des opérations d’édition avec une collection de tableaux ou un service de données distant.

Editing in Angular Data Grid.


Angular Data Grid grouping.

Groupement

Groupez les lignes pour afficher les données dans une structure hiérarchique organisée par ordre croissant ou décroissant pour faciliter l’expansion et la réduction des enregistrements. Il y a une option pour grouper les enregistrements de la colonne désirée par simple glisser-déposer de cette colonne dans une zone de dépôt interactive.


Agrégation

Visualisez facilement les agrégats des valeurs des colonnes du Data Grid en utilisant l’option de résumé. Les agrégats peuvent être personnalisés pour afficher leur valeur dans des lignes de résumé individuelles, des lignes de résumé de groupe individuelles ou des lignes de légende de groupe.

Angular Grid Aggregation.


Angular Data Grid Freeze image

Lignes et colonnes gelées

Les lignes et colonnes gelées sont visibles en haut et à gauche, droite, les deux, ou en position fixe, respectivement, rendant le contenu de grille restant défilable. Cette fonctionnalité est principalement utilisée pour comparer les valeurs des cellules.


En-tête collant

L’en-tête de l’Angular Data Grid doit être dans une position fixe lors du défilement vertical du document pour visualiser le contenu de la grille avec l’en-tête de colonne.

Angular Grid Sticky Header image


Angular Grid row drag and drop.

Glisser-déposer de lignes

L’Angular Grid permet aux utilisateurs de glisser et déposer des lignes vers un autre Data Grid ou composant personnalisé. Les utilisateurs peuvent également glisser et déposer des lignes au sein de la même Data Grid en utilisant l’icône de glissement et transférer des lignes entre différents groupes.


Grid Maître-détail

Angular Master Detail Grid est un scénario d’usage où les détails d’un enregistrement sont visualisés dans une grille de données séparée en cliquant sur une ligne particulière.

Angular master detail grid.


State management in Angular Grid.

Gestion d’état

La gestion d’état dans le composant Angular Data Grid vous permet de maintenir l’état de la grille même après une actualisation du navigateur ou lors de la navigation vers une page différente dans la même session de navigateur. Cette fonctionnalité est particulièrement bénéfique pour conserver la configuration et les données de la grille après un rechargement de page.


Mise à jour en temps réel

Le Data Grid met à jour les données en temps réel dans ses cellules à des intervalles de temps spécifiques. Ces mises à jour se produisent sans causer de décalage ou de ralentissement, assurant que le système reste hautement réactif et efficace.

Live update with Angular Grid.


Fonctionnalités supplémentaires

Angular Grid with row height.

Hauteur de ligne

La hauteur de ligne est un facteur majeur lors de l’affichage du nombre d’enregistrements dans la fenêtre d’affichage, et elle est facilement personnalisable selon les exigences de l’interface utilisateur de l’application. Il est également possible de définir la hauteur de ligne de manière conditionnelle.

Copy to clipboard from Data Grid.

Copier dans le presse-papiers

Le presse-papiers permet aux utilisateurs de copier des données des lignes ou cellules sélectionnées dans celui-ci. Les combinaisons de touches Ctrl+C et Ctrl+Shift+H copient les données avec et sans en-têtes, respectivement.

Angular Grid with context menu.

Effectue diverses actions dans un Data Grid en utilisant le menu popup qui apparaît lorsque la cellule, l’en-tête ou le pageur est cliqué avec le bouton droit. En plus des éléments de menu par défaut intégrés, des éléments de menu contextuel personnalisés peuvent être ajoutés.

Width and height in Angular Grid.

Largeur et hauteur

Définissez les propriétés de largeur et hauteur pour changer la taille de la grille de données. Lorsque le contenu déborde de l’élément grille, des barres de défilement horizontales et verticales apparaîtront. Pour remplir le conteneur parent du data grid, définissez simplement la hauteur et la largeur à 100%.

Angular Grid with stacked headers.

En-têtes empilés

Les en-têtes empilés permettent de grouper et visualiser les en-têtes de colonnes de manière empilée. Le nombre de colonnes qui peuvent être empilées est illimité. Effectuez toutes les actions Data Grid même lorsque les colonnes sont empilées.


Accessibilité

Keyboard navigation in Angular Grid.

Le composant Angular Grid garantit que chaque cellule est accessible en utilisant le clavier. Les fonctionnalités principales comme le tri, la sélection et l’édition peuvent être effectuées en utilisant uniquement les commandes du clavier ; aucune interaction de souris n’est requise. Cela aide à créer des applications hautement accessibles en utilisant ce composant.

Accessibility and screen reader support in Angular Grid.

Lecteur d’écran

La vue Angular Data Grid a un support d’accessibilité WAI-ARIA complet. Son interface utilisateur inclut des éléments visuels à haut contraste qui aident les personnes malvoyantes à avoir la meilleure expérience de visualisation. De plus, des descriptions d’interface utilisateur valides sont facilement accessibles par des technologies d’assistance telles que les lecteurs d’écran.

Show right-to-left language in Angular Grid.

Droite à gauche (RTL)

Le rendu de droite à gauche permet d’afficher le texte et la disposition du Data Grid de droite à gauche. Cela améliore l’expérience utilisateur et l’accessibilité pour les langues RTL.


Optimisé mobile et convivial au toucher

Le composant Data Grid améliore l’utilisabilité et fournit un design optimisé et responsive pour les ordinateurs de bureau, écrans tactiles et téléphones sur tous les systèmes d’exploitation, y compris iOS, Android et Windows.

Touch support in Angular Data Grid.

Support tactile

Des gestes tactiles conviviaux et un design d’interface utilisateur interactive fournissent la meilleure expérience utilisateur. Toutes les fonctionnalités Data Grid fonctionnent sur les appareils tactiles avec une configuration zéro.

Responsive pager UI in Angular Grid.

Pageur responsive

Le pageur Data Grid agit intelligemment et change complètement son interface utilisateur de manière responsive selon la dimension. Son design optimisé fournit la meilleure interaction d’interface utilisateur sur différents appareils.


Compatibilité des versions Angular

Avec l’amélioration continue des versions Angular, l’Angular Data Grid est maintenu à jour pour le rendre compatible avec les versions à partir de la 4 jusqu’à la dernière version.

Data Grid Angular version compatibility.






Autres frameworks pris en charge

Le Data Grid est disponible pour les frameworks Blazor, React, JavaScript et Vue. Explorez ses options spécifiques à la plateforme via les liens suivants :

L’Angular Data Grid fonctionne bien avec tous les navigateurs web modernes, y compris Chrome, Firefox, Edge, Safari et Opera.

Supported browsers in Angular Data Grid.

Plus de 150+ composants d'interface utilisateur Angular

Foire aux questions

Le Syncfusion Data Grid est le meilleur Angular Data Grid qui offre les fonctionnalités suivantes :

Nous ne vendons pas l’Angular Data Grid séparément. Il n’est disponible à l’achat que dans le cadre de la licence d’équipe Syncfusion. Cela contient plus de 1,600 composants et frameworks, y compris l’Angular Data Grid. Le prix de la licence d’équipe commence à 395 $ par mois pour 5 développeurs et inclut le support et les mises à jour jusqu’à l’expiration de l’abonnement. De plus, nous pourrions offrir des remises basées sur les promotions actuellement actives. Veuillez contacter nos spécialistes produit aujourd’hui pour voir si vous êtes admissible à des remises supplémentaires.

Vous pouvez trouver notre démo Angular Grid, qui démontre comment rendre et configurer le Grid.

L’Angular Grid est une implémentation de tableau basique (comme table ou *ngFor), tandis que l’Angular Data Grid (comme le Grid Angular de Syncfusion) offre des fonctionnalités avancées comme le tri, le filtrage, la virtualisation et l’édition en ligne pour la gestion de données complexes. Le grid de Syncfusion est optimisé pour la haute performance et l’évolutivité dans les applications d’entreprise.

Non, nos 1,600+ composants et frameworks pour web, mobile et bureau, y compris notre Angular Data Grid, ne sont pas vendus individuellement. Ils ne sont disponibles que dans le cadre d’une licence d’équipe. Cependant, nous avons fixé le prix du produit de manière compétitive, donc il ne coûte qu’un peu plus que ce que certains autres fournisseurs facturent pour leur composant Data Grid seul. Nous avons également constaté que, selon notre expérience, nos clients commencent généralement par utiliser un de nos produits puis s’étendent rapidement à plusieurs produits, donc nous avons jugé qu’il était préférable d’offrir tous les 1,600+ composants et frameworks pour un tarif d’abonnement qui commence à 395 $ par mois pour une équipe de 5 développeurs. De plus, nous pourrions être en mesure d’offrir des remises basées sur les promotions actuellement actives. Veuillez contacter nos spécialistes produit aujourd’hui pour voir si vous êtes admissible à des remises supplémentaires.

Non, c’est un produit commercial qui nécessite une licence payante. Cependant, une licence communautaire gratuite est également disponible pour les entreprises et individus dont les organisations ont moins de 1 million USD de revenus bruts annuels et cinq développeurs ou moins.

Un bon endroit pour commencer serait notre documentation complète de prise en main.

Un Angular Data Grid est un composant de tableau avancé conçu pour afficher et gérer efficacement de gros jeux de données. Ses fonctionnalités incluent le tri, le filtrage, la pagination et les mises à jour en temps réel. Des bibliothèques comme Syncfusion améliorent les performances avec des fonctions similaires à Excel, le traitement côté serveur et une intégration transparente avec Angular.

Nos clients nous aiment

Grâce à un excellent ensemble d’outils et à une excellente équipe d’assistance, Syncfusion® réduit le temps de développement de ses clients.
Voici quelques-uns de leurs témoignages.

Voir de vraies histoires de réussite

Des développeurs du monde entier font confiance à Essential Studio de Syncfusion pour simplifier les projets complexes et accélérer leur livraison. Grâce à sa vaste bibliothèque de contrôles d’interface utilisateur, à ses SDK puissants et à son support fiable, Essential Studio aide les équipes à créer des applications prêtes pour l’entreprise en toute confiance.

Explorer des études de cas


Evalue par des utilisateurs du monde entier.

Transformez vos apps aujourd’hui avec version d’essai gratuite ici a
Télécharger l'essai gratuit Aucune carte de crédit requise.

Recompenses

L’excellence—c’est une chose de l’affirmer, mais cela signifie davantage lorsque les autres la reconnaissent. Syncfusion® est fier de détenir les récompenses de l'industrie suivantes.

Activités récentes dans les tutoriels et blogs Angular Data Grid

Les vidéos tutorielles et les articles de blog Angular Data Grid vous guideront dans la construction de votre première application avec les composants Angular. Ils fournissent des stratégies de résolution de problèmes, décrivent les fonctionnalités et fonctionnalités, annoncent les nouvelles versions de fonctionnalités, expliquent les meilleures pratiques et présentent des scénarios d’exemple. Explorez nos derniers articles sur notre blog et chaînes de vidéos tutorielles pour les mises à jour Angular Data Grid.

Up arrow icon